Subject: multipart/alternative request

From: Nancy McGough <[email-masked]>
Date: Wed, 14 Apr 1999 12:52:52 -0400 (EDT)

I'm trying to learn about MIME headers so I've got my
viewer-hdrs set to include the following:

	Content-type,
	Content-description,
	Content-transfer-encoding,
	Parts/Attachments,
	X-MimeOLE,
	X-Mailer,

I just received a message that looked like this when full headers was
OFF (I've deleted irrelevant headers):

 X-Mailer: Microsoft Outlook Express 4.72.3110.1
 Content-type: multipart/alternative;
  boundary="----=_NextPart_000_000F_01BE860C.916E3140"
 X-MimeOLE: Produced By Microsoft MimeOLE V4.72.3110.3
 Parts/Attachments:
    1   OK     ~9 lines  Text
    2 Shown   ~25 lines  Text
 ----------------------------------------

     [ Part 1, Text/PLAIN  9 lines. ]
     [ Not Shown. Use the "V" command to view or save this part. ]
 
 [...plain text msg deleted...]

And when I type V, Pine displays this:

  PINE 4.10   ATTACHMENT INDEX

   1    ~9 lines   Text/PLAIN
   2   ~25 lines   Text/HTML

And when I view attachment 2, my web browser is fired up and displays
EXACTLY the same thing that I just saw in Pine -- no formatting, no
color, no cool fonts, absolutely no reason to use a web browser. My
requests are:

REQUEST 1
========= 
If the attachment is just an alternate view, say so. I.e., instead of:

 [ Part 1, Text/PLAIN  9 lines. ]
 [ Not Shown. Use the "V" command to view or save this part. ]

Say something like:

 [ Part 1, Text/PLAIN  9 lines. ]
 [ Alternate Part 1, Text/HTML. Type V to view or save this part. ]

This way I would know that there's no need to look at this. Yes,
I could look at the "Content-type: multipart/alternative;" header
but it's a pain to ferret that out from amongst the other headers.

REQUEST 2
=========
The Parts/Attachments header says that Part 2 is "Shown" and Part 1 is
"OK" (whatever that means):

 Parts/Attachments:
    1   OK     ~9 lines  Text
    2 Shown   ~25 lines  Text
 ----------------------------------------

And the blurb at the top of the message seems to be saying that Part 1
is shown and Part 2 is not shown:

     [ Part 1, Text/PLAIN  9 lines. ]
     [ Not Shown. Use the "V" command to view or save this part. ]

These should be more clear about what's shown and what's not, and they
should be consistent!

Things get even more confusing when I type H to view full headers.
When I do that the body of the message looks like this:

     [ Part 1, Text/PLAIN  9 lines. ]
     [ Not Shown. Use the "V" command to view or save this part. ]
 
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD W3 HTML//EN">
 <HTML>
 <HEAD>
 
 <META content=text/html;charset=iso-8859-1 http-equiv=Content-Type>
 <META content='"MSHTML 4.72.3110.7"' name=GENERATOR>
 </HEAD>
 <BODY bgColor=#ffffff>
 [...deleted...]

So now it seems that Part 1 is actually HTML, but it's labeled
Text/PLAIN, and Pine knows how to render HTML that is labeled as
Text/PLAIN so that's what it's doing. I guess....

Anyway this is all very confusing. We can scream at Microsoft for
producing such bloated messages but it would be nice if Pine would
handle them gracefully.

-- 
For Pine info & links, see www.ii.com/internet/messaging/pine/
 
©Nancy McGough          http://www.ii.com          Infinite Ink
--= Sent via PINE: Power Internet News & Email for Win/Unix =--

-- 
-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------